Нужны драйверы Intel Xeon E3-1200 для Linux Mint 18

МОЕЙ школе было пожертвовано 35 компьютеров, которым 4 года. Каждый компьютер имеет 32-битную архитектуру. Я взял один, чтобы использовать его для AR Sandbox (проект Оливера Крейлоса). Для этого я установил Linux Mint версии 18.3 «SYLVIA» с рабочим столом MATE для 32-битной архитектуры. Затем я установил все программное обеспечение, необходимое для AR Sandbox, так как теперь называется SARndbox. Затем я ./bin/CalibrateProjector -s 1024 768 к последнему этапу этого процесса установки , ./bin/CalibrateProjector -s 1024 768 . Когда я запускаю это, я получаю эту ошибку:

 ~/src/SARndbox-2.4 $ ./bin/CalibrateProjector -s 1024 768 CalibrateProjector: Capturing 120 background frames...Vrui: Caught exception GLExtensionManager: Extension GL_EXT_gpu_shader4 not supported by local OpenGL while initializing rendering windows done 

Это означает, что у меня нет драйверов, совместимых с openGL, которые необходимы для запуска этой программы. Я установил SARndbox на трех разных компьютерах, и я впервые получаю эту ошибку.

Когда я запускаю lspci | grep VGA lspci | grep VGA , я получаю 00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09) .

Тогда glxinfo | grep Vendor glxinfo | grep Vendor предоставляет мне server glx vendor string: SGI client , glx vendor string: Mesa Project и SGI OpenGL vendor string: Intel Open Source Technology Center что означает, что у меня не установлены необходимые драйверы. Я начал использовать Linux три месяца назад и до сих пор не знаю, как именно работают драйверы в Linux. Я читал, что обычно Linux поставляется со всеми необходимыми драйверами из коробки, но иногда существуют проприетарные драйверы, которые необходимо установить с их сайт. И я уже довольно долго искал, но не нашел драйверов для Linux.

Кто-нибудь может сказать мне, где их найти? Я думаю, что я мог бы установить их самостоятельно, но если вы не могли бы, объясните мне, как их установить тоже? Заранее спасибо.

Расширение GL_EXT_gpu_shader4 не поддерживается локальным OpenGL при инициализации окон рендеринга

это не означает, что у вас нет соответствующих драйверов OpenGL, это означает, что программа, которую вы пытаетесь запустить, написана неправильно. Он должен либо запросить GL_EXT_gpu_shader4 используя профиль ядра (не профиль совместимости), либо он должен быть GL_EXT_gpu_shader4 на OpenGL 3.0 или выше, который включает функции, предоставляемые gpu_shader4 в качестве основной функции (расширение не требуется).

Строка поставщика «Центр технологий Intel с открытым исходным кодом» означает, что у вас работают драйверы OpenGL. glxinfo | grep version glxinfo | grep version точно скажет, какую версию OpenGL поддерживает ваша система.

Обратите внимание, что системы Xeon E3 являются 64-битными, поэтому, если у вас нет особых причин для запуска 32-битного дистрибутива, вы должны установить вместо этого 64-битную версию. Также обратите внимание на предостережение в инструкциях, которые вы выполняете: « Следующие инструкции более не актуальны. »